//------------------------------------------------------------------------------
/*
    This file is part of Bottle2D.

    Bottle2D is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Bottle2D is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bottle2D.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#include "Sprite.hpp"
//------------------------------------------------------------------------------
#include <cmath>
#include <iostream>
//------------------------------------------------------------------------------
namespace En
{
//------------------------------------------------------------------------------
using namespace std;
//------------------------------------------------------------------------------
Sprite::Sprite(Group *parent, const std::string &name) : DrawableSF(parent, name)
{

}
//------------------------------------------------------------------------------
/** Get the current size of the displayed sprite */
Vector2D Sprite::GetSize() const
{
    return Vector2D(GetImage()->GetWidth() * GetScale().x, GetImage()->GetHeight() * GetScale().y);
}
//------------------------------------------------------------------------------
/** Set the current size of the displayed sprite */
void Sprite::SetSize(const Vector2D &newSize)
{
    if(GetImage() != NULL)
    {
        // FIXME: Hack !!!
        SetScaleX((newSize.x + 0.375) / GetImage()->GetWidth());
        SetScaleY((newSize.y + 0.375) / GetImage()->GetHeight());
        // FIXME: Hack !!!
        SetCenter(0.375, 0.375);
    }
}
//------------------------------------------------------------------------------
void Sprite::SetImage(const Texture& image)
{
    sf::Sprite::SetImage(image);

    // Set the sub rect for the new image since SFML doen's do it automatically if the image was already loaded into the sprite.
    SetSubRect(sf::IntRect(0, 0, image.GetSize().x, image.GetSize().y));
}
//------------------------------------------------------------------------------
} // namespace En
//------------------------------------------------------------------------------
