------------------------------------------------------------
-- Load the music
------------------------------------------------------------
gameMusic = Music();
gameMusic:LoadFromFile("music/music_music.ogg")

------------------------------------------------------------
-- Load the sounds
------------------------------------------------------------
sndShot = Sound()
sndShot:LoadFromFile("sounds/snd_shot.wav")

sndEnemyBurstTbl = {}

for i = 1, 6 do
	table.insert(sndEnemyBurstTbl, Sound())
	sndEnemyBurstTbl[#sndEnemyBurstTbl]:LoadFromFile("sounds/snd_enemy-burst_" .. tostring(i) .. ".wav")
end


sndEnemyResist = Sound()
sndEnemyResist:LoadFromFile("sounds/snd_enemy-resist.wav")

sndShieldResist = Sound()
sndShieldResist:LoadFromFile("sounds/snd_shield-resist.wav")

sndShieldBonus = Sound()
sndShieldBonus:LoadFromFile("sounds/snd_shield-bonus.wav")

sndLaser = Sound()
sndLaser:LoadFromFile("sounds/snd_laser.wav")

sndFreezeWeapon = Sound()
sndFreezeWeapon:LoadFromFile("sounds/freezeWeapon.wav")

-- Weapon ready
sndLaserReady = Sound()
sndLaserReady:LoadFromFile("sounds/laserReady.wav")

sndFreezeWeaponReady = Sound()
sndFreezeWeaponReady:LoadFromFile("sounds/freezeWeaponReady.wav")

-- Level up
sndLevelUp = Sound()
sndLevelUp:LoadFromFile("sounds/level_up.wav")

-- Vaccum
sndVaccum = Sound()
sndVaccum:LoadFromFile("sounds/vaccum_energy.wav")


-- guiLib
------------------------------------------------------------
-- Load the sounds
------------------------------------------------------------
sndBtClick = Sound()
sndBtClick:LoadFromFile("sounds/snd_menu-action.wav")

--sndChoiceChange = Sound()
--sndChoiceChange:LoadFromFile("sounds/snd_menu-change.wav")


------------------------------------------------------------
-- Load the textures
------------------------------------------------------------

-- Tuto
tutoKeySpaceTex = Texture()
tutoKeySpaceTex:LoadFromFile("images/key_space.png")

tutoKeyTabTex = Texture()
tutoKeyTabTex:LoadFromFile("images/key_tab.png")

tutoMouseTex = Texture()
tutoMouseTex:LoadFromFile("images/mouse.png")
-- Logo

freezeWeaponLogoTex = Texture()
freezeWeaponLogoTex:LoadFromFile("images/slow_logo.png")

laserLogoTex = Texture()
laserLogoTex:LoadFromFile("images/laser_logo.png")

-- Store
storeBtNormalTex = Texture()
storeBtNormalTex:LoadFromFile("images/store_normal.png")

storeBtOverTex = Texture()
storeBtOverTex:LoadFromFile("images/store_over.png")

storeBtPressedTex = Texture()
storeBtPressedTex:LoadFromFile("images/store_pressed.png")

storeBtDisabledTex = Texture()
storeBtDisabledTex:LoadFromFile("images/store_disabled.png")

storeBtOnTex = Texture()
storeBtOnTex:LoadFromFile("images/store_on.png")

storeBackgroundTex = Texture()
storeBackgroundTex:LoadFromFile("images/store/store_back.png")

-- Store logos
logoNameTbl = {"none", "freezeWeaponResetVaccum", "bulletSpeed+", "lifeMaxSpeed", "killSmallMissile", "slowDown", "makeBonusFall", "reloadSpeed", "freezeWeaponAlert", "laserAlert", "damage+", "freezeWeapon", "laser", "lifeMax", "lifeSpeed", "sight"}
logoTexTbl = {}
for i = 1, #logoNameTbl do
	table.insert(logoTexTbl, Texture())
	logoTexTbl[i]:LoadFromFile("images/store/" .. logoNameTbl[i] .. ".png")
end

-- Alain enemy
missileATexTbl = {}
for i = 1, 4 do
	table.insert(missileATexTbl, Texture())
	missileATexTbl[i]:LoadFromFile("images/enemies/missile_a_" .. i .. ".png")
end

missileAShieldTex = Texture()
missileAShieldTex:LoadFromFile("images/enemies/missile_a_shield.png")

bombeATexTbl = {}
for i = 1, 3 do
	table.insert(bombeATexTbl, Texture())
	bombeATexTbl[i]:LoadFromFile("images/enemies/bombe_a_" .. i .. ".png")
end

bombeAShieldTex = Texture()
bombeAShieldTex:LoadFromFile("images/enemies/bombe_a_shield.png")

-- Missile
missileTexTbl = {}
for i = 1, 4 do
	table.insert(missileTexTbl, Texture())
	missileTexTbl[i]:LoadFromFile("images/enemies/missile_" .. i .. ".png")
end

-- Plane 1
planeTexTbl = {}
for i = 1, 3 do
	table.insert(planeTexTbl, Texture())
	planeTexTbl[i]:LoadFromFile("images/enemies/plane_" .. i .. ".png")
end

-- Nuclear shell
nuclearShellTexTbl = {}
for i = 1, 3 do
	table.insert(nuclearShellTexTbl, Texture())
	nuclearShellTexTbl[i]:LoadFromFile("images/enemies/nuclear_shell_" .. i .. ".png")
end

-- Vaccum
vaccumTexTbl = {}
for i = 1, 3 do
	table.insert(vaccumTexTbl, Texture())
	vaccumTexTbl[i]:LoadFromFile("images/enemies/vaccum_" .. i .. ".png")
end

-- Bonus
parachuteTex = Texture()
parachuteTex:LoadFromFile("images/parachute.png")

bidonEnergyTex = Texture()
bidonEnergyTex:LoadFromFile("images/bidon_energy.png")

bidonCashTex = Texture()
bidonCashTex:LoadFromFile("images/bidon_cash.png")

-- Base
-- Deco
tex01background = Texture()
tex01background:LoadFromFile("images/01_background.png")

tex02cloudsP1 = Texture()
tex02cloudsP1:LoadFromFile("images/02_clouds_p1.png")

tex02cloudsP2 = Texture()
tex02cloudsP2:LoadFromFile("images/02_clouds_p2.png")

tex03city = Texture()
tex03city:LoadFromFile("images/03_city.png")

tex04ground = Texture()
tex04ground:LoadFromFile("images/04_ground.png")

tex05fence = Texture()
tex05fence:LoadFromFile("images/05_fence.png")

tex06aGun = Texture()
tex06aGun:LoadFromFile("images/06a_gun.png")

tex06bGunBase = Texture()
tex06bGunBase:LoadFromFile("images/06b_gunBase.png")

tex07bunker = Texture()
tex07bunker:LoadFromFile("images/07_bunker.png")

tex08camera = Texture()
tex08camera:LoadFromFile("images/08_camera.png")

texLevelUp = Texture()
texLevelUp:LoadFromFile("images/level_up.png")

texDeadBackground = Texture()
texDeadBackground:LoadFromFile("images/dead_background.png")

-- Sight
texSight = Texture()
texSight:LoadFromFile("images/sight.png")

texSightGen = Texture()
texSightGen:LoadFromFile("images/sightGen.png")


-- Shield
shieldImpactTex = Texture()
shieldImpactTex:LoadFromFile("images/shieldImpact.png")

tex_shield = Texture()
tex_shield:LoadFromFile("images/shield.png")

-- Bullets
tex_bullet = Texture()
tex_bullet:LoadFromFile("images/bullet1.png")

texShootFlash = Texture()
texShootFlash:LoadFromFile("images/shootFlash.png")

-- Particle
texSmoke1 = Texture()
texSmoke1:LoadFromFile("images/smoke.png")

texFlame1 = Texture()
texFlame1:LoadFromFile("images/flame.png")

texParticlePoint = Texture()
texParticlePoint:LoadFromFile("images/tache.png")

-- Progress
texProgressCircle = Texture()
texProgressCircle:LoadFromFile("images/piece.png")

texlifeBack = Texture()
texlifeBack:LoadFromFile("images/lifeBack.png")

texProgress4xCircle = Texture()
texProgress4xCircle:LoadFromFile("images/4slice.png")

-- Menu
texMenuBtNormal = Texture()
texMenuBtNormal:LoadFromFile("images/bt_normal.png")

texMenuBtOver = Texture()
texMenuBtOver:LoadFromFile("images/bt_over.png")

texMenuBtPressed = Texture()
texMenuBtPressed:LoadFromFile("images/bt_pressed.png")
